package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/PrepareAccountiColl.class */
public class PrepareAccountiColl extends LifeAction {
    private String iCollName;
    private String account;
    public static final String NULL_RETURN_VALUE = "-1";

    public String execute(Context context) throws GENEException {
        IndexedCollection sendIcoll = context.getDataElement(this.iCollName);
        if (this.account == null) {
            Trace.logWarning("LifeAction", "关注帐号列表为空");
            throw new TranFailException("关注帐号列表为空", false);
        }
        KeyedCollection sendKcoll = sendIcoll.getDataElement();
        sendKcoll.setDataValue("accountNo", this.account);
        sendIcoll.addDataElement((KeyedCollection) sendKcoll.clone());
        return "0";
    }

    public String getICollName() {
        return this.iCollName;
    }

    public void setICollName(String collName) {
        this.iCollName = collName;
    }

    public String getAccount() {
        return this.account;
    }

    public void setAccount(String account) {
        this.account = account;
    }
}
